package org.josast.amicalsat;

import org.josast.amicalsat.generated.FrameTlmAmicalsat.A1FlagType;
import org.josast.amicalsat.generated.FrameTlmAmicalsat.A1Type;

 

// #A1;FLAGS;timeStamps;[mode];[flags];[faults]
public class A1FlagTypeFrame extends Frame {
	

	private String mode;
	private String a1Flags;
	private String faults;

	@Override
	protected void setUpFrame() {

		A1Type a1type = (A1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
			A1FlagType log = (A1FlagType) a1type.tlmSw();

			timeStamps= log.timeStamps();
			hash.put("timeStamps", timeStamps);
			mode= log.mode();
			hash.put("Mode", mode);
			a1Flags= log.a1Flags();
			hash.put("Flags", a1Flags);			
			faults= log.faults();
			hash.put("Faults", faults);		
			
			

		}
		
	}



